require ENV['ONE_SIMLOCATION']+'/lib/test_lib'

describe "Delete Integration tests" do
    before(:all) do
         @fixed_template = {:name => "fixednetwork",
                            :type => "FIXED",
                            :bridge => "VM Network",
                            :leases => [{:ip => "192.168.1.102"},
                                        {:ip => "192.168.1.103"}]
                            }


        fixed_text = TemplateParser::template_like_str(@fixed_template, true)
        @fixed_net = VirtualNetworkTest.new({:template_text => fixed_text})
        @fixed_net.create.should eql(nil)
        @fixed_net.info.should eql(nil)
        
        @vm_template = {
            :nic => {
                :network => @fixed_template[:name]
            }
        }
        
        @vm = VirtualMachineTest.new({:template => @vm_template})
        
        @host = HostTest.new
        @host.create.should eql(nil)
       
        @vm.submit.should eql(nil)

        host_id = @host.get_id
        @vm.deploy(host_id).should eql(nil)

        @vm.check_state("runn", 80).should eql(true)
        @vm.check_active(100).should eql(true)
        @vm_cpu = @vm.get_cpu
        @vm_mem = @vm.get_memory

        @host.info.should eql(nil)
        @pre_host_cpu = @host.get_cpu_usage
        @pre_host_mem = @host.get_mem_usage
        @pre_host_rvms = @host.get_running_vms
 
    end
    
    it "should delete a running VirtualMachine and then, check the new" <<
        " values of the Host where it was deployed" do
        @vm.finalize.should eql(nil)
        
        @vm.check_state("done", 40).should eql(true)
        
        @host.info.should eql(nil)
        @host.get_running_vms.should eql(@pre_host_rvms - 1)
        @host.get_cpu_usage.should eql(@pre_host_cpu - @vm_cpu*100)
        @host.get_mem_usage.should eql(@pre_host_mem - @vm_mem*1024)

        #@host.check_hypervisor_vm(@vm.get_name).should eql(1)
    end
end
