require ENV['ONE_SIMLOCATION']+'/lib/test_lib'

describe "Restart Integration tests" do
    before(:all) do
         @fixed_template = {:name => "fixednetwork",
                            :type => "FIXED",
                            :bridge => "VM Network",
                            :leases => [{:ip => "192.168.1.110"},
                                        {:ip => "192.168.1.111"}]
                            }


        fixed_text = TemplateParser::template_like_str(@fixed_template, true)
        @fixed_net = VirtualNetworkTest.new({:template_text => fixed_text})
        @fixed_net.create.should eql(nil)
        @fixed_net.info.should eql(nil)
        
        @vm_template = {
            :nic => {
                :network => @fixed_template[:name]
            }
        }
        
        @vm = VirtualMachineTest.new({:template => @vm_template})
        
        @host = HostTest.new
        @host.create.should eql(nil)
        @host.info.should eql(nil)

        @vm.submit.should eql(nil)

        host_id = @host.get_id
        @vm.deploy(host_id).should eql(nil)

        @vm.check_state("runn", 80).should eql(true)
        @vm.check_active(100).should eql(true)
    end
    
    it "should destroy the VirtualMachine using the hypervisor, " <<
        "check that the VirtualMachine state becomes unknown and " <<
        "then, restart the VirtualMachine" do
        @host.hypervisor_destroy_vm(@vm.get_name)
        
        @vm.check_state("unkn", 80).should eql(true)
        
        sleep 10
        
        @vm.restart.should eql(nil)
        
        @vm.check_state("runn", 80).should eql(true)
        @vm.check_active(100).should eql(true)
    end
end
